import { Spanner } from '@google-cloud/spanner';
import dotenv from 'dotenv';

// Load environment variables from .env file
dotenv.config();

// Load configuration from environment variables
const config = {
  projectId: process.env.SPANNER_PROJECT_ID,
  instanceId: process.env.SPANNER_INSTANCE_ID,
  databaseId: process.env.SPANNER_DATABASE_ID,
  credentialsPath: process.env.GOOGLE_APPLICATION_CREDENTIALS,
  csvFilePath: './imdb_movie_dataset.csv'
};

export const getDatabase = () => {
  // Create Spanner client
  const spanner = new Spanner({
    projectId: config.projectId
  });

  // Get instance
  const instance = spanner.instance(config.instanceId!);
  const database = instance.database(config.databaseId!);
  return database;
};
